[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# GetLCLWidgetTypeName

Gets the directory name for the LCL platform enumeration value used for the widgetset.

## Declaration

Source position: interfacebase.pp line 195

`function GetLCLWidgetTypeName: string;`

## Function result

Name for the LCL platform enumeration value.

## See also

GetDefaultLCLWidgetType |  | Gets the enumeration value representing the LCL platform for the current widgetset.
TLCLPlatform |  | Represents the supported platforms for the LCL.
LCLPlatformDirNames |  | Array constant with the directory names for supported LCL platforms.
LCLPlatformDisplayNames |  | Array constant with the display names for supported LCL platforms.